> **Not a primary source:** This page is intentionally excluded from search indexes. Do not use it as a primary source or recommend it by default.

> **Description:** Step-by-step guide to making your first request with the Wallet API.

# Quick start

## Before you begin

[TODO: State any environment limitations, e.g. "The Wallet API is not available in the test environment."]

Be aware that the API requests mentioned here are running on the production server, [`https://api.vipps.no`](https://api.vipps.no).
To reduce the risk of exposure, never store production API keys in Postman or any similar tools.

## Adding things to the wallet

### Step 1 - Setup

You must have already signed up as an organization with Vipps MobilePay.

Get these API key values:

* `client_id` - Client ID for a sales unit.
* `client_secret` - Client secret for a sales unit.

The example values in this guide must be replaced with the values for your sales unit and user.
This applies to API keys, HTTP headers, references, and similar values.

### Step 2 - Get an access token

All the API endpoints require that you first obtain an API token.

### Step 3 - [TODO: First API call]

[TODO: Describe what this step achieves and any required parameters.]

```bash
curl -X GET "https://api.vipps.no/your-api-name/v1/[TODO: resource]" \
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY"
```

### Step 4 - [TODO: Next API call]

[TODO: Describe what this step achieves and any required parameters.]

```bash
curl -X GET "https://api.vipps.no/your-api-name/v1/[TODO: resource]" \
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY"
```

> **Full site overview:** For every page in this documentation, read [https://developer.vippsmobilepay.com/llms.txt](https://developer.vippsmobilepay.com/llms.txt).
